Skip to content
StraventaDocs
Now in Sandbox.

The store's search synonym rules

GET
/v1/marketplace/search/admin/synonyms

Permission marketplace.storefront.read, ANCHORED to store_id: a synonym is a STOREFRONT presentation rule — how this shop's search box behaves — rather than catalogue data the register shares.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

store_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://sandbox.505pay.link/v1/marketplace/search/admin/synonyms?store_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "synonyms": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "term": "string",
      "synonyms": [
        "string"
      ]
    }
  ]
}
{
  "error": "not_found",
  "message": "resource not found",
  "request_id": "01916b2a-f3c0-7000-0000-0000000000ff"
}
{
  "error": "not_found",
  "message": "resource not found",
  "request_id": "01916b2a-f3c0-7000-0000-0000000000ff"
}
{
  "error": "not_found",
  "message": "resource not found",
  "request_id": "01916b2a-f3c0-7000-0000-0000000000ff"
}
{
  "error": "rate_limit_exceeded",
  "message": "too many requests",
  "request_id": "01916b2a-f3c0-7000-0000-0000000000ff"
}

Was this page helpful?